<?php
/*
 * ----------------------------------------------------------------------------------
 * Author:	Maverick00
 * Version:	2.4
 * Date:	2013-06-05
 * 
 *
 *Dependency -> TeamRace.xml	
 *
 * http://teamjtt.xooit.fr/t990-Plugin-TeamRace.htm#p7905
 */

Aseco::registerEvent('onStartup', 'event_startup');
Aseco::registerEvent('onPlayerFinish', 'joueurfinish');

Aseco::registerEvent('onBeginMap', 'debutdelamap');
Aseco::registerEvent('onEndMap', 'findelamap');

Aseco::addChatCommand('teamrace', 'Choisir le nom des teams');
Aseco::registerEvent('onMenuLoaded', 'teamrace_menu');
Aseco::registerEvent('onPlayerManialinkPageAnswer', 'clicboutonTeamRace');

//Aseco::registerEvent('onSync', 'undef_sync');
//function undef_sync($aseco){
//$aseco->plugin_versions[] = array(
//      'plugin'   => 'Affichage_team_race.php',
//      'author'   => 'Maverick00',
//      'version'   => '2.4'
//	);
//}


function clicboutonTeamRace($aseco, $command) {

   $playerid = $command[0];
   $login = $command[1];
   $action = $command[2].'';
   
   if ($action == '1213141516171819'){
      $chat = array();
      $chat[0] = $playerid;
      $chat[1] = $login;
      $chat[2] = '/teamrace runs';
      $chat[3] = true;
      $aseco->playerChat($chat);
   }
}
function teamrace_menu($aseco, $menu){
	$menu->addEntry('', 'mainhelpsep', true, 'TeamRace', 'TRmenu');
	$menu->addEntry('TRmenu', '', true, 'Display', 'TRmenu0');
		$menu->addEntry('TRmenu', '', true, 'Colors', 'TRmenu4');
		$menu->addSeparator('TRmenu', '', true, 'TR_seperator0');
		$menu->addEntry('TRmenu', '', true, 'Team blue', 'TRmenu3');
		$menu->addEntry('TRmenu', '', true, 'Team red', 'TRmenu2');
		$menu->addEntry('TRmenu3', '', true, 'Team blue a-i', 'TRmenu3a');
		$menu->addEntry('TRmenu2', '', true, 'Team red a-i', 'TRmenu2a');
		$menu->addEntry('TRmenu3', '', true, 'Team blue j-s', 'TRmenu3j');
		$menu->addEntry('TRmenu2', '', true, 'Team red j-s', 'TRmenu2j');
		$menu->addEntry('TRmenu3', '', true, 'Team blue t-z', 'TRmenu3t');
		$menu->addEntry('TRmenu2', '', true, 'Team red t-z', 'TRmenu2t');
	
		$menu->addEntry('TRmenu0', '', true, 'on', 'TR_display_on', '/teamrace display on', null, null);
	$menu->addEntry('TRmenu0', '', true, 'off', 'TR_display_off', '/teamrace display off', null, null);
		$menu->addEntry('TRmenu', '', true, 'Fond', 'TRmenu1');
	if(file_exists('TeamRace.xml')){
		$conf_file = 'TeamRace.xml';
		if ($xml = $aseco->xml_parser->parseXml($conf_file)) {
				foreach ($xml['TEAMRACE']['TEAMS-A-I'][0]['TEAM'] as $team) {
				$menu->addEntry('TRmenu2a', '', true, $team['NAME'][0].' : '.$team['TAG'][0], 'TR_teamred', '/teamrace team 2 '.$team['TAG'][0], null, null);
				$menu->addEntry('TRmenu3a', '', true, $team['NAME'][0].' : '.$team['TAG'][0], 'TR_teamblue', '/teamrace team 1 '.$team['TAG'][0], null, null);
				}
				foreach ($xml['TEAMRACE']['TEAMS-J-S'][0]['TEAM'] as $team) {
				$menu->addEntry('TRmenu2j', '', true, $team['NAME'][0].' : '.$team['TAG'][0], 'TR_teamred', '/teamrace team 2 '.$team['TAG'][0], null, null);
				$menu->addEntry('TRmenu3j', '', true, $team['NAME'][0].' : '.$team['TAG'][0], 'TR_teamblue', '/teamrace team 1 '.$team['TAG'][0], null, null);
				}
				foreach ($xml['TEAMRACE']['TEAMS-T-Z'][0]['TEAM'] as $team) {
				$menu->addEntry('TRmenu2t', '', true, $team['NAME'][0].' : '.$team['TAG'][0], 'TR_teamred', '/teamrace team 2 '.$team['TAG'][0], null, null);
				$menu->addEntry('TRmenu3t', '', true, $team['NAME'][0].' : '.$team['TAG'][0], 'TR_teamblue', '/teamrace team 1 '.$team['TAG'][0], null, null);
				}
				$menu->addEntry('TRmenu1', '', true, 'None', 'TR_fond', '/teamrace fond ', null, null);
				foreach ($xml['TEAMRACE']['FONDS'][0]['FOND'] as $fond) {
				$menu->addEntry('TRmenu1', '', true, $fond['NAME'][0], 'TR_fond', '/teamrace fond '.$fond['URL'][0], null, null);
				}
		}	
	}

	$menu->addSeparator('TRmenu', '', true, 'TR_seperator1');
	$menu->addEntry('TRmenu', '', true, 'Start', 'TR_start', '/teamrace start', null, null);
	$menu->addSeparator('TRmenu', '', true, 'TR_seperator2');
	$menu->addEntry('TRmenu', '', true, 'Restart map', 'TR_remap', '/teamrace remap', null, null);
	$menu->addSeparator('TRmenu', '', true, 'TR_seperator3');
	$menu->addEntry('TRmenu', '', true, 'Save', 'TR_save', '/teamrace save', null, null);
	$menu->addSeparator('TRmenu', '', true, 'TR_seperator4');
	$menu->addEntry('TRmenu', '', true, 'Help', 'TR_help', '/teamrace help', null, null, null, null, 'help');
	$menu->addSeparator('TRmenu', '', true, 'TR_seperator5');
	$menu->addEntry('TRmenu', '', true, 'Help colors', 'TR_helpcolors', '/teamrace helpcolors', null, null, null, null, 'help');
	
	$menu->addEntry('TRmenu4', '', true, 'Tournament', 'TRmenu41');
	$menu->addEntry('TRmenu41', '', true, 'White', 'TR_colortournamentblanc', '/teamrace  colortournament FFF', null, null);
	$menu->addEntry('TRmenu41', '', true, 'Black', 'TR_colortournamentblack', '/teamrace  colortournament 000', null, null);
	$menu->addEntry('TRmenu41', '', true, 'Blue', 'TR_colortournamentblue', '/teamrace  colortournament 00F', null, null);
	$menu->addEntry('TRmenu41', '', true, 'Red', 'TR_colortournamentred', '/teamrace  colortournament F00', null, null);
	$menu->addEntry('TRmenu41', '', true, 'Yellow', 'TR_colortournamentyellow', '/teamrace  colortournament FF0', null, null);
	$menu->addEntry('TRmenu41', '', true, 'Green', 'TR_colortournamentgreen', '/teamrace  colortournament 0F0', null, null);
	
	
	$menu->addEntry('TRmenu4', '', true, 'Previous Scores', 'TRmenu42');
	$menu->addEntry('TRmenu42', '', true, 'White', 'TR_colorpreviousblanc', '/teamrace  colorprevious FFF', null, null);
	$menu->addEntry('TRmenu42', '', true, 'Black', 'TR_colorpreviousblack', '/teamrace  colorprevious 000', null, null);
	$menu->addEntry('TRmenu42', '', true, 'Blue', 'TR_colorpreviousblue', '/teamrace  colorprevious 00F', null, null);
	$menu->addEntry('TRmenu42', '', true, 'Red', 'TR_colorpreviousred', '/teamrace  colorprevious F00', null, null);	
	$menu->addEntry('TRmenu42', '', true, 'Yellow', 'TR_colorpreviousyellow', '/teamrace  colorprevious FF0', null, null);
	$menu->addEntry('TRmenu42', '', true, 'Green', 'TR_colorpreviousgreen', '/teamrace  colorprevious 0F0', null, null);

	$menu->addEntry('TRmenu4', '', true, 'Texte Points', 'TRmenu43');
	$menu->addEntry('TRmenu43', '', true, 'Texte Points team blue', 'TRmenu431');
	$menu->addEntry('TRmenu43', '', true, 'Texte Points team red', 'TRmenu432');
	$menu->addEntry('TRmenu431', '', true, 'White', 'TR_colortextpointsblancb', '/teamrace  colortextpointsb FFF', null, null);
	$menu->addEntry('TRmenu431', '', true, 'Black', 'TR_colortextpointsblackb', '/teamrace  colortextpointsb 000', null, null);
	$menu->addEntry('TRmenu431', '', true, 'Blue', 'TR_colortextpointsblueb', '/teamrace  colortextpointsb 00F', null, null);
	$menu->addEntry('TRmenu431', '', true, 'Red', 'TR_colortextpointsredb', '/teamrace  colortextpointsb F00', null, null);
	$menu->addEntry('TRmenu431', '', true, 'Yellow', 'TR_colortextpointsyellowb', '/teamrace  colortextpointsb FF0', null, null);
	$menu->addEntry('TRmenu431', '', true, 'Green', 'TR_colortextpointsgreenb', '/teamrace  colortextpointsb 0F0', null, null);
	$menu->addEntry('TRmenu432', '', true, 'White', 'TR_colortextpointsblancr', '/teamrace  colortextpointsr FFF', null, null);
	$menu->addEntry('TRmenu432', '', true, 'Black', 'TR_colortextpointsblackr', '/teamrace  colortextpointsr 000', null, null);
	$menu->addEntry('TRmenu432', '', true, 'Blue', 'TR_colortextpointsbluer', '/teamrace  colortextpointsr 00F', null, null);
	$menu->addEntry('TRmenu432', '', true, 'Red', 'TR_colortextpointsredr', '/teamrace  colortextpointsr F00', null, null);
	$menu->addEntry('TRmenu432', '', true, 'Yellow', 'TR_colortextpointsyellowr', '/teamrace  colortextpointsr FF0', null, null);
	$menu->addEntry('TRmenu432', '', true, 'Green', 'TR_colortextpointsgreenr', '/teamrace  colortextpointsr 0F0', null, null);
	
	$menu->addEntry('TRmenu4', '', true, 'Texte Maps', 'TRmenu44');
	$menu->addEntry('TRmenu44', '', true, 'White', 'TR_colortextmapsblanc', '/teamrace  colortextmaps FFF', null, null);
	$menu->addEntry('TRmenu44', '', true, 'Black', 'TR_colortextmapsblack', '/teamrace  colortextmaps 000', null, null);
	$menu->addEntry('TRmenu44', '', true, 'Blue', 'TR_colortextmapsblue', '/teamrace  colortextmaps 00F', null, null);
	$menu->addEntry('TRmenu44', '', true, 'Red', 'TR_colortextmapsred', '/teamrace  colortextmaps F00', null, null);
	$menu->addEntry('TRmenu44', '', true, 'Yellow', 'TR_colortextmapsyellow', '/teamrace  colortextmaps FF0', null, null);
	$menu->addEntry('TRmenu44', '', true, 'Green', 'TR_colortextmapsgreen', '/teamrace  colortextmaps 0F0', null, null);
	
	$menu->addEntry('TRmenu4', '', true, 'Texte Total Points', 'TRmenu45');
	$menu->addEntry('TRmenu45', '', true, 'White', 'TR_colortexttotalpointsblanc', '/teamrace  colortexttotalpoints FFF', null, null);
	$menu->addEntry('TRmenu45', '', true, 'Black', 'TR_colortexttotalpointsblack', '/teamrace  colortexttotalpoints 000', null, null);
	$menu->addEntry('TRmenu45', '', true, 'Blue', 'TR_colortexttotalpointsblue', '/teamrace  colortexttotalpoints 00F', null, null);
	$menu->addEntry('TRmenu45', '', true, 'Red', 'TR_colortexttotalpointsred', '/teamrace  colortexttotalpoints F00', null, null);
	$menu->addEntry('TRmenu45', '', true, 'Yellow', 'TR_colortexttotalpointsyellow', '/teamrace  colortexttotalpoints FF0', null, null);
	$menu->addEntry('TRmenu45', '', true, 'Green', 'TR_colortexttotalpointsgreen', '/teamrace  colortexttotalpoints 0F0', null, null);
	
	$menu->addEntry('TRmenu4', '', true, 'Points', 'TRmenu46');
	$menu->addEntry('TRmenu46', '', true, 'Points team blue', 'TRmenu461');
	$menu->addEntry('TRmenu46', '', true, 'Points team red', 'TRmenu462');
	$menu->addEntry('TRmenu461', '', true, 'White', 'TR_colorpointsblancb', '/teamrace  colorpointsb FFF', null, null);
	$menu->addEntry('TRmenu461', '', true, 'Black', 'TR_colorpointsblackb', '/teamrace  colorpointsb 000', null, null);
	$menu->addEntry('TRmenu461', '', true, 'Blue', 'TR_colorpointsblueb', '/teamrace  colorpointsb 00F', null, null);
	$menu->addEntry('TRmenu461', '', true, 'Red', 'TR_colorpointsredb', '/teamrace  colorpointsb F00', null, null);
	$menu->addEntry('TRmenu461', '', true, 'Yellow', 'TR_colorpointsyellowb', '/teamrace  colorpointsb FF0', null, null);
	$menu->addEntry('TRmenu461', '', true, 'Green', 'TR_colorpointsgreenb', '/teamrace  colorpointsb 0F0', null, null);
	$menu->addEntry('TRmenu462', '', true, 'White', 'TR_colorpointsblancr', '/teamrace  colorpointsr FFF', null, null);
	$menu->addEntry('TRmenu462', '', true, 'Black', 'TR_colorpointsblackr', '/teamrace  colorpointsr 000', null, null);
	$menu->addEntry('TRmenu462', '', true, 'Blue', 'TR_colorpointsbluer', '/teamrace  colorpointsr 00F', null, null);
	$menu->addEntry('TRmenu462', '', true, 'Red', 'TR_colorpointsredr', '/teamrace  colorpointsr F00', null, null);
	$menu->addEntry('TRmenu462', '', true, 'Yellow', 'TR_colorpointsyellowr', '/teamrace  colorpointsr FF0', null, null);
	$menu->addEntry('TRmenu462', '', true, 'Green', 'TR_colorpointsgreenr', '/teamrace  colorpointsr 0F0', null, null);
	
		$menu->addEntry('TRmenu4', '', true, 'Number of maps', 'TRmenu47');
	$menu->addEntry('TRmenu47', '', true, 'Points team blue', 'TRmenu471');
	$menu->addEntry('TRmenu47', '', true, 'Points team red', 'TRmenu472');
	$menu->addEntry('TRmenu471', '', true, 'White', 'TR_colornbmapsblancb', '/teamrace  colornbmapsb FFF', null, null);
	$menu->addEntry('TRmenu471', '', true, 'Black', 'TR_colornbmapsblackb', '/teamrace  colornbmapsb 000', null, null);
	$menu->addEntry('TRmenu471', '', true, 'Blue', 'TR_colornbmapsblueb', '/teamrace  colornbmapsb 00F', null, null);
	$menu->addEntry('TRmenu471', '', true, 'Red', 'TR_colornbmapsredb', '/teamrace  colornbmapsb F00', null, null);
	$menu->addEntry('TRmenu471', '', true, 'Yellow', 'TR_colornbmapsyellowb', '/teamrace  colornbmapsb FF0', null, null);
	$menu->addEntry('TRmenu471', '', true, 'Green', 'TR_colornbmapsgreenb', '/teamrace  colornbmapsb 0F0', null, null);
	$menu->addEntry('TRmenu472', '', true, 'White', 'TR_colornbmapsblancr', '/teamrace  colornbmapsr FFF', null, null);
	$menu->addEntry('TRmenu472', '', true, 'Black', 'TR_colornbmapsblackr', '/teamrace  colornbmapsr 000', null, null);
	$menu->addEntry('TRmenu472', '', true, 'Blue', 'TR_colornbmapsbluer', '/teamrace  colornbmapsr 00F', null, null);
	$menu->addEntry('TRmenu472', '', true, 'Red', 'TR_colornbmapsredr', '/teamrace  colornbmapsr F00', null, null);
	$menu->addEntry('TRmenu472', '', true, 'Yellow', 'TR_colornbmapsyellowr', '/teamrace  colornbmapsr FF0', null, null);
	$menu->addEntry('TRmenu472', '', true, 'Green', 'TR_colornbmapsgreenr', '/teamrace  colornbmapsr 0F0', null, null);
	
		$menu->addEntry('TRmenu4', '', true, 'Number of Total Points', 'TRmenu48');
	$menu->addEntry('TRmenu48', '', true, 'Total Points team blue', 'TRmenu481');
	$menu->addEntry('TRmenu48', '', true, 'total Points team red', 'TRmenu482');
	$menu->addEntry('TRmenu481', '', true, 'White', 'TR_colornbtotalpointsblancb', '/teamrace  colornbtotalpointsb FFF', null, null);
	$menu->addEntry('TRmenu481', '', true, 'Black', 'TR_colornbtotalpointsblackb', '/teamrace  colornbtotalpointsb 000', null, null);
	$menu->addEntry('TRmenu481', '', true, 'Blue', 'TR_colornbtotalpointsblueb', '/teamrace  colornbtotalpointsb 00F', null, null);
	$menu->addEntry('TRmenu481', '', true, 'Red', 'TR_colornbtotalpointsredb', '/teamrace  colornbtotalpointsb F00', null, null);
	$menu->addEntry('TRmenu481', '', true, 'Yellow', 'TR_colornbtotalpointsyellowb', '/teamrace  colornbtotalpointsb FF0', null, null);
	$menu->addEntry('TRmenu481', '', true, 'Green', 'TR_colornbtotalpointsgreenb', '/teamrace  colornbtotalpointsb 0F0', null, null);
	$menu->addEntry('TRmenu482', '', true, 'White', 'TR_colornbtotalpointsblancr', '/teamrace  colornbtotalpointsr FFF', null, null);
	$menu->addEntry('TRmenu482', '', true, 'Black', 'TR_colornbtotalpointsblackr', '/teamrace  colornbtotalpointsr 000', null, null);
	$menu->addEntry('TRmenu482', '', true, 'Blue', 'TR_colornbtotalpointsbluer', '/teamrace  colornbtotalpointsr 00F', null, null);
	$menu->addEntry('TRmenu482', '', true, 'Red', 'TR_colornbtotalpointsredr', '/teamrace  colornbtotalpointsr F00', null, null);
	$menu->addEntry('TRmenu482', '', true, 'Yellow', 'TR_colornbtotalpointsyellowr', '/teamrace  colornbtotalpointsr FF0', null, null);
	$menu->addEntry('TRmenu482', '', true, 'Green', 'TR_colornbtotalpointsgreenr', '/teamrace  colornbtotalpointsr 0F0', null, null);
	
	$menu->addEntry('TRmenu4', '', true, 'Name of Teams', 'TRmenu49');
	$menu->addEntry('TRmenu49', '', true, 'Team blue', 'TRmenu491');
	$menu->addEntry('TRmenu49', '', true, 'Team red', 'TRmenu492');
	$menu->addEntry('TRmenu491', '', true, 'White', 'TR_colornomteamblancb', '/teamrace  colornomteamb FFF', null, null);
	$menu->addEntry('TRmenu491', '', true, 'Black', 'TR_colornomteamblackb', '/teamrace  colornomteamb 000', null, null);
	$menu->addEntry('TRmenu491', '', true, 'Blue', 'TR_colornomteamblueb', '/teamrace  colornomteamb 00F', null, null);
	$menu->addEntry('TRmenu491', '', true, 'Red', 'TR_colornomteamredb', '/teamrace  colornomteamb F00', null, null);
	$menu->addEntry('TRmenu491', '', true, 'Yellow', 'TR_colornomteamyellowb', '/teamrace  colornomteamb FF0', null, null);
	$menu->addEntry('TRmenu491', '', true, 'Green', 'TR_colornomteamgreenb', '/teamrace  colornomteamb 0F0', null, null);
	$menu->addEntry('TRmenu492', '', true, 'White', 'TR_colornomteamblancr', '/teamrace  colornomteamr FFF', null, null);
	$menu->addEntry('TRmenu492', '', true, 'Black', 'TR_colornomteamblackr', '/teamrace  colornomteamr 000', null, null);
	$menu->addEntry('TRmenu492', '', true, 'Blue', 'TR_colornomteambluer', '/teamrace  colornomteamr 00F', null, null);
	$menu->addEntry('TRmenu492', '', true, 'Red', 'TR_colornomteamredr', '/teamrace  colornomteamr F00', null, null);
	$menu->addEntry('TRmenu492', '', true, 'Yellow', 'TR_colornomteamyellowr', '/teamrace  colornomteamr FF0', null, null);
	$menu->addEntry('TRmenu492', '', true, 'Green', 'TR_colornomteamgreenr', '/teamrace  colornomteamr 0F0', null, null);
}
function chat_teamrace($aseco, $command) {
    global $teamrace;
    $teamrace->chat_teamrace($aseco, $command);
}

function debutdelamap($aseco, $data) { global $teamrace; $teamrace->debutdelamap2($aseco, $data); }
function findelamap($aseco, $data) { global $teamrace; $teamrace->findelamap2($aseco, $data); }
function affichage($aseco, $data) { global $teamrace; $teamrace->affichage2($aseco, $data); }
function joueurfinish($aseco, $data) { global $teamrace; $teamrace->joueurfinish2($aseco, $data); }
function event_startup($aseco, $command)
   {
   global $aseco;
   global $nombredemap, $scoretotal, $nomdesteams, $nomdelamap, $nomrencontre, $nomimage, $affiche, $textcolor, $playerblue, $playerred, $resultweb;
   global $teamrace;
   $teamrace= new teamrace();
   $teamrace->aseco = $aseco;
   
     $query = 'CREATE TABLE IF NOT EXISTS `teamrace` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT,
`date` DATETIME NOT NULL default "0000-00-00 00:00:00",
`teamblue` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,
`teamred` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,
`tournament` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,
`mapsblue` INT( 11 ) NOT NULL ,
`mapsred` INT( 11 ) NOT NULL ,
`pointsblue` INT( 11 ) NOT NULL ,
`pointsred` INT( 11 ) NOT NULL ,
KEY `id` (`id`)
        ) TYPE=MyISAM;';
	mysql_query($query);
	
     $query = 'CREATE TABLE IF NOT EXISTS `teamraceprevious` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT,
`matchid` INT( 11 ) NOT NULL ,
`map` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,
`scoreblue` INT( 11 ) NOT NULL ,
`scorered` INT( 11 ) NOT NULL ,
`playerblue` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,
`playerred` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,
KEY `id` (`id`)
        ) TYPE=MyISAM;';
	mysql_query($query);
	
	
   
   if(file_exists('TeamRace.xml')){
		$conf_file = 'TeamRace.xml';
		if ($xml = $aseco->xml_parser->parseXml($conf_file)) {
		
				$resultweb=$xml['TEAMRACE']['RESULT_WEB'][0]['ADRESS_WEB'][0];
				$nomdesteams[0]=$xml['TEAMRACE']['TEAMS-J-S'][0]['TEAM'][0]['TAG'][0];
				$nomdesteams[1]=$xml['TEAMRACE']['TEAMS-J-S'][0]['TEAM'][0]['TAG'][0];
			$id=1;
			foreach ($xml['TEAMRACE']['COLORS'][0]['COLOR'] as $color) {
				$textcolor[$id]=$color;
				$id++;
			}
		}	
	}
   $nombredemap=1;
   $nomdelamp[2]="";
   $affiche="on";
   $nomimage='http://95.130.9.140/TM/IMG/fondteamrace.png';
   $scoretotal[0][0]=0;
	$scoretotal[1][0]=0;
	$scoretotal[0][1]=0;
	$scoretotal[1][1]=0;
	$scoretotal[0][2]=0;
	$scoretotal[1][2]=0;
	$playerblue[0]='';
    //$nomdesteams[0]="Team Bleue";
	//$nomdesteams[1]="Team Rouge";
	$nomrencontre="Tournament";
} 
class teamrace
	{
	public $aseco;

	function chat_teamrace($aseco, $command) {
		global $teamrace;
		global $nomdesteams, $nombredemap, $scoretotal, $nomdelamap, $nomrencontre, $nomimage, $affiche, $textcolor, $playerblue, $playerred;
        $admin = $command['author'];
        $login = $admin->login;
        $nick = $admin->nickname;
		$aseco->client->query('GetCurrentRanking', 2, 0);
		$tscore = $aseco->client->getResponse();
        $cmd = explode(' ', $command['params']);
		$msg='';
		if($cmd[0] == 'runs') {
				$header='previous scores';
				$previous = array();
				if ($nombredemap>2) {
					$lines=1;
					for ($m = $nombredemap-1; $m >1; $m--)
						{
							if ($lines<26){
								$previous[] = array('Run # {#black}'.($m-1),'  Map : '.$nomdelamap[$m],'{#login}Blue team : {#black}'.$scoretotal[0][$m],'{#nick}Red team : {#black}'.$scoretotal[1][$m]);
								$lines++;
							}	
						}
				}
				display_manialink($login, $header, array('Icons128x32_1', 'RT_Team', -0.01), $previous, array(0.75, 0.15, 0.28, 0.15, 0.15), 'OK');
		}
       if($aseco->isMasterAdmin($admin) || $aseco->isAdmin($admin)) {
			if($cmd[0] == 'team'){
				if ($cmd[1]==1 || $cmd[1]==2) {
				$nomteamini=$nomdesteams[($cmd[1]-1)];
                $nomdesteams[($cmd[1]-1)] = substr(str_replace('team ', '', $command['params']), 1);
                $msg = 'La team '.$nomteamini.' devient la team '.$nomdesteams[($cmd[1]-1)].'.';
				}
				else
				{
					$msg = 'Erreur dans la saisie!';
				}
			}
			
			elseif($cmd[0] == 'scores') {
                if(is_numeric($cmd[1]) && is_numeric($cmd[2])) {
                    $nombredemap = 3;
					if ($tscore[0]['Login']=='*team:blue')
					{
						$scoretotal[0][2]=$cmd[1]-$tscore[0]['Score'];
						$scoretotal[1][2]=$cmd[2]-$tscore[1]['Score'];
					}
					else
					{
						$scoretotal[0][2]=$cmd[1]-$tscore[1]['Score'];
						$scoretotal[1][2]=$cmd[2]-$tscore[0]['Score'];
					}
                    $msg = 'Les scores sont Bleus :'.$cmd[1].' - Rouges :'.$cmd[2];
                } else {
                    $msg = 'Les scores doivent etre des nombres!';
                }
			}
			elseif($cmd[0] == 'start') {
				if ($aseco->server->gameinfo->mode == Gameinfo::TEAM){
         		$affiche="on";
				for ($m = 0; $m <=$nombredemap; $m++)
				{
					$scoretotal[0][$m]=0;
					$scoretotal[1][$m]=0;
					$playerblue[$m]='';
					$playerred[$m]='';
					$nomdelamap[$m]='';
				}
                    $nombredemap = 2;
					$playerblue[0]='';
				$aseco->client->query('ForceScores', array( array('PlayerId'=>0,'Score'=>0), array('PlayerId'=>1,'Score'=>0) ), false);
				
				$aseco->client->query('NextMap');
				
                    $msg = 'Le match va commencer'.;
				}
				else{
					 $affiche='off';
					$msg = 'TeamRace plugin works in TEAM mode only !';
				}
			}
			elseif($cmd[0] == 'remap') {
				if ($aseco->server->gameinfo->mode == Gameinfo::TEAM){
         		$affiche="on";
				
					$scoretotal[0][$nombredemap]=0;
					$scoretotal[1][$nombredemap]=0;
					$playerblue[$nombredemap]='';
					$playerred[$nombredemap]='';
					$nomdelamap[$nombredemap]='';
					$playerblue[0]='';
				$aseco->client->query('ForceScores', array( array('PlayerId'=>0,'Score'=>0), array('PlayerId'=>1,'Score'=>0) ), false);
				
				$aseco->client->query('ForceEndRound');
				
                    $msg = 'map is restarting';
				}
				else{
					 $affiche='off';
					$msg = 'TeamRace plugin works in TEAM mode only !';
				}
			}
			
			elseif($cmd[0] == 'maps') {
                if(is_numeric($cmd[1]) && is_numeric($cmd[2])) {
				   $scoretotal[0][0]=$cmd[1];
				   $scoretotal[1][0]=$cmd[2];
				}  
				else {
                    $msg = 'Les scores doivent etre des nombres!';
                }
			}
			elseif($cmd[0] == 'help') {
               		$header = '{#black}/teamrace$g will manage your TeamRace Plugin:';
					$help = array();
					$help[] = array('Welcome to the TeamRace Plugin Help.');
					$help[] = array('The current running version is 1.0');
					$help[] = array('If you have problems or suggestions, please post it in the $l[http://teamjtt.xooit.fr]JTT-forum$l.');
					$help[] = array('');
					$help[] = array('...', '{#black}help',
									'Displays this help information');
					$help[] = array('...', '{#black}display {on|off}',
									'Display or not the plugins');
					$help[] = array('...', '{#black}team {1|2} {name}',
									'Rename the name of teams. Accept specials characters');
					$help[] = array('...', '{#black}scores {number for blue} {number for red}',
									'Set the total points for each teams');
					$help[] = array('...', '{#black}maps {number for blue} {number for red}',
									'Set the number of maps win for each team');
					$help[] = array('...', '{#black}start',
									'Set all of points to zero and restart the map');
					$help[] = array('...', '{#black}save',
									'save the matchs, scores and previous scores, on the web page');
					$help[] = array('...', '{#black}remap',
									'restart the current map');
					$help[] = array('...', '{#black}runs',
									'Display the previous scores');	
					$help[] = array('...', '{#black}name {name}',
									'Set the name of the tournament');	
					$help[] = array('...', '{#black}fond {url}',
									'choose a background image with a web address');	
					display_manialink($login, $header, array('Icons64x64_1', 'TrackInfo', -0.01), $help, array(1.2, 0.05, 0.35, 0.8), 'OK');
				
				
			}
			elseif($cmd[0] == 'helpcolors') {
               		$header = '{#black}/teamrace$g will manage your TeamRace Plugin:';
					$help = array();
					$help[] = array('Welcome to the TeamRace Plugin Help colors.');
					$help[] = array('The current running version is 1.0');
					$help[] = array('If you have problems or suggestions, please post it in the $l[http://teamjtt.xooit.fr]JTT-forum$l.');
					$help[] = array('');
					$help[] = array('...', '{#black}helpcolors',
									'Displays this help information');
					$help[] = array('...', '{#black}colortournament {color code}',
									'{color code} = fff change the color of the text of tournament to white for exemple');
					$help[] = array('...', '{#black}colorprevious {color code}',
									'change the color of the text of Previous Scores');
					$help[] = array('...', '{#black}colortextpointsb {color code}',
									'change the color of the text of Points for the Team blue');
					$help[] = array('...', '{#black}colortextpointsr {color code}',
									'change the color of the text of Points for the Team red');	
					$help[] = array('...', '{#black}colorpointsb {color code}',
									'change the color of the Points for the Team blue');
					$help[] = array('...', '{#black}colorpointsr {color code}',
									'change the color of the Points for the Team red');		
					$help[] = array('...', '{#black}colortextmaps {color code}',
									'change the color of the text of maps');
					$help[] = array('...', '{#black}colornbmapsb {color code}',
									'change the color of the number of maps for the Team blue');
					$help[] = array('...', '{#black}colornbmapsr {color code}',
									'change the color of the number of maps for the Team red');		
					$help[] = array('...', '{#black}colortexttotalpoints {color code}',
									'change the color of the text of Total Points');
					$help[] = array('...', '{#black}colornbtotalpointsb {color code}',
									'change the color of the total Points for the Team blue');
					$help[] = array('...', '{#black}colornbtotalpointsr {color code}',
									'change the color of the Total Points for the Team red');	
					$help[] = array('...', '{#black}colornomteamb {color code}',
									'change the color of the text of the Team blue');
					$help[] = array('...', '{#black}colornomteamr {color code}',
									'change the color of the text of the Team red');	
					display_manialink($login, $header, array('Icons64x64_1', 'TrackInfo', -0.01), $help, array(1.2, 0.05, 0.35, 0.8), 'OK');
			}
			elseif($cmd[0] == 'name') {
                    $nomrencontre = $cmd[1];
 			}
			elseif($cmd[0] == 'fond') {
                    $nomimage = $cmd[1];
 			}
			elseif($cmd[0] == 'display') {
                    $affiche = $cmd[1];
					if ($aseco->server->gameinfo->mode != Gameinfo::TEAM){
						 $affiche='off';
						$msg = 'TeamRace plugin works in TEAM mode only !';
					}
					else {
						$msg = 'Display : '.$affiche;   
				}
			}
			elseif($cmd[0] == 'colortournament') {
                $textcolor[2]=$cmd[1];
			}
			elseif($cmd[0] == 'colorprevious') {
                $textcolor[1]=$cmd[1];
			}
			elseif($cmd[0] == 'colortextpointsb') {
                $textcolor[3]=$cmd[1];
			}
			elseif($cmd[0] == 'colortextpointsr') {
                $textcolor[4]=$cmd[1];
			}
			elseif($cmd[0] == 'colortextmaps') {
                $textcolor[7]=$cmd[1];
			}
			elseif($cmd[0] == 'colortexttotalpoints') {
                $textcolor[10]=$cmd[1];
			}
			elseif($cmd[0] == 'colorpointsb') {
                $textcolor[5]=$cmd[1];
			}
			elseif($cmd[0] == 'colorpointsr') {
                $textcolor[6]=$cmd[1];
			}
			elseif($cmd[0] == 'colornbmapsb') {
                $textcolor[8]=$cmd[1];
			}
			elseif($cmd[0] == 'colornbmapsr') {
                $textcolor[9]=$cmd[1];
			}
			elseif($cmd[0] == 'colornbtotalpointsb') {
                $textcolor[11]=$cmd[1];
			}
			elseif($cmd[0] == 'colornbtotalpointsr') {
                $textcolor[12]=$cmd[1];
			}
			elseif($cmd[0] == 'colornomteamb') {
                $textcolor[13]=$cmd[1];
			}
			elseif($cmd[0] == 'colornomteamr') {
                $textcolor[14]=$cmd[1];
			}
			elseif($cmd[0] == 'save') {
				if ($affiche="on") {
				$nomdelamap[$nombredemap]=$aseco->server->map->name;
				$this->aseco->client->query('GetCurrentRanking', 2, 0);
					$tscore = $this->aseco->client->getResponse();
				if ($tscore[0]['Login']=='*team:blue')
					{
					$scoretotal[0][$nombredemap]=$tscore[0]['Score'];
					$scoretotal[1][$nombredemap]=$tscore[1]['Score'];
				}
				else
				{
					$scoretotal[0][$nombredemap]=$tscore[1]['Score'];
					$scoretotal[1][$nombredemap]=$tscore[0]['Score'];
					
				}
						
				$query = 'INSERT INTO teamrace (date, teamblue, teamred, tournament, mapsblue, mapsred, pointsblue, pointsred) 
				VALUES (NOW(), "'.$nomdesteams[0].'", "'.$nomdesteams[1].'", "'.$nomrencontre.'", '.$scoretotal[0][0].', '.$scoretotal[1][0].', '.$scoretotal[0][1].', '.$scoretotal[1][1].')';
				mysql_query($query);
				$id = mysql_insert_id();
				$msg = 'Match save !';
 				for ($m = 2; $m <=$nombredemap; $m++){
					if ($scoretotal[0][$m]!=0 || $scoretotal[1][$m]!=0) {
						$query = 'INSERT INTO teamraceprevious (matchid, map, scoreblue, scorered, playerblue, playerred) 
								VALUES ('.$id.',"'.$nomdelamap[$m].'", '.$scoretotal[0][$m].', '.$scoretotal[1][$m].', "'.$playerblue[$m].'", "'.$playerred[$m].'")';
						mysql_query($query);
					}		
				}
			  }	
			}
			
		}
		if ($msg!='') {
			$aseco->client->query('ChatSendServerMessageToLogin', $msg, $login);
		}
		$teamrace->affichage2($aseco);
	}	
	
	function debutdelamap2($aseco) {
		global $teamrace;
		global $nombredemap, $affiche, $scoretotal, $nomdesteams, $nomrencontre, $playerblue, $playerred;
		if ($aseco->server->gameinfo->mode != Gameinfo::TEAM){
            $affiche='off';
        }
		$nombredemap++;
		$playerblue[$nombredemap]='';
		$playerred[$nombredemap]='';
		$playerblue[0]='';
		$teamrace->affichage2($aseco);
	}

	function affichage2($aseco)
		{
		global $teamrace;
		global $nombredemap, $scoretotal, $nomdesteams, $nomrencontre, $nomimage, $affiche, $textcolor, $playerblue, $playerred, $resultweb;
			
		
		if ($affiche=='on') {
			$aseco->client->query('GetCurrentRanking', 2, 0);
			$tscore = $aseco->client->getResponse();
			$scoretotal[1][1]=0;
			$scoretotal[0][1]=0;
			if ($tscore[0]['Login']=='*team:blue')
				{
					$posteam0=27;
					$posteam1=53;
					$textcolor0=$textcolor[5];
					$textcolor1=$textcolor[6];
					$scoretotal[0][1]=$tscore[0]['Score'];
					$scoretotal[1][1]=$tscore[1]['Score'];
				}
				else
				{
					$posteam0=53;
					$posteam1=27;
					$textcolor0=$textcolor[6];
					$textcolor1=$textcolor[5];
					$scoretotal[0][1]=$tscore[1]['Score'];
					$scoretotal[1][1]=$tscore[0]['Score'];
							
				}
			for ($m = 2; $m <$nombredemap; $m++)
					{
						$scoretotal[0][1]=$scoretotal[0][1]+$scoretotal[0][$m];
						$scoretotal[1][1]=$scoretotal[1][1]+$scoretotal[1][$m];
					}
			$xml = '<?xml version="1.0" encoding="UTF-8"?>
			<manialinks>
			<manialink id="112233445566">
			<frame posn="-40 47.5 0">
				<label posn="0.5 -9.5 0.001" sizen="11 5" style="TextRaceChrono" halign="left" valign="center" textsize="2" textcolor="'.$textcolor[1].'" text="---> Previous Scores <---" action="1213141516171819" ></label>
				<label posn="68 -9.5 0.001" sizen="11 5" style="TextRaceChrono" halign="left" valign="center" textsize="2" textcolor="'.$textcolor[1].'" text="---> history on web <---" url="'.$resultweb.'" ></label>
				<quad sizen="80 11.3" posn="0 0 0.001" image="'.$nomimage.'" />
				<label posn="40 -1.9 0.001" sizen="16 5" halign="center" valign="center" textsize="5" textcolor="'.$textcolor[2].'" text="'.$nomrencontre.'"></label>	
				<label posn="'.$posteam0.' -8 0.001" sizen="20 5" style="TextRaceChrono" halign="center" valign="center" textsize="8" textcolor="'.$textcolor0.'" text="'.$tscore[0]['Score'].'"></label>
				<label posn="27 -4.8 0.001" sizen="7 5" style="TextRaceChrono" halign="center" valign="center" textsize="2" textcolor="'.$textcolor[3].'" text="Points"></label>
				<label posn="40 -5.9 0.001" sizen="7 5" style="TextRaceChrono" halign="center" valign="center" textsize="2" textcolor="'.$textcolor[7].'" text="Maps"></label>
				<label posn="37.8 -5.7 0.001" sizen="7 5" style="TextRaceChrono" halign="right" valign="center" textsize="5" textcolor="'.$textcolor[8].'" text="'.$scoretotal[0][0].'"></label>
				<label posn="'.$posteam1.' -8 0.001" sizen="20 5" style="TextRaceChrono" halign="center" valign="center" textsize="8" textcolor="'.$textcolor1.'" text="'.$tscore[1]['Score'].'"></label>
				<label posn="53 -4.8 0.001" sizen="7 5" style="TextRaceChrono" halign="center" valign="center" textsize="2" textcolor="'.$textcolor[4].'" text="Points"></label>
				<label posn="42.2 -5.7 0.001" sizen="7 5" style="TextRaceChrono" halign="left" valign="center" textsize="5" textcolor="'.$textcolor[9].'" text="'.$scoretotal[1][0].'"></label>				
				<label posn="37.8 -9.1 0.001" sizen="7 5" style="TextRaceChrono" halign="right" valign="center" textsize="5" textcolor="'.$textcolor[11].'" text="'.$scoretotal[0][1].'"></label>
				<label posn="40 -8.6 0.001" sizen="7 5" style="TextRaceChrono" halign="center" valign="center" textsize="1" textcolor="'.$textcolor[10].'" text="Total"></label>
				<label posn="40 -9.9 0.001" sizen="7 5" style="TextRaceChrono" halign="center" valign="center" textsize="1" textcolor="'.$textcolor[10].'" text="points"></label>
				<label posn="42.2 -9.1 0.001" sizen="15 5" style="TextRaceChrono" halign="left" valign="center" textsize="5" textcolor="'.$textcolor[12].'" text="'.$scoretotal[1][1].'"></label>	
				<label posn="12 -4.4 0.001" sizen="22 5" halign="center" valign="center" textsize="6" textcolor="'.$textcolor[13].'" text="'.$nomdesteams[0].'"></label>
				<label posn="68 -4.4 0.001" sizen="22 5" halign="center" valign="center" textsize="6" textcolor="'.$textcolor[14].'" text="'.$nomdesteams[1].'"></label>	
			</frame>
			</manialink>
			</manialinks>';
		}
		else
		{
			$xml = '<?xml version="1.0" encoding="UTF-8"?>
			<manialinks>
			<manialink id="112233445566">
			</manialink>
			</manialinks>';
			}
		$this->aseco->client->addCall('SendDisplayManialinkPage', array($xml, 0, false));
	}	
	
	function findelamap2($aseco)
		{
		global $teamrace;
		global $nombredemap, $scoretotal, $nomdesteams, $nomdelamap, $placejoueur, $affiche;
		$nomdelamap[$nombredemap]=$aseco->server->map->name;
	  if ($affiche=='on') {
		$this->aseco->client->query('GetCurrentRanking', 2, 0);
			$tscore = $this->aseco->client->getResponse();
		
		if ($tscore[0]['Login']=='*team:blue')
			{
			$scoretotal[0][$nombredemap]=$tscore[0]['Score'];
			$scoretotal[1][$nombredemap]=$tscore[1]['Score'];
			if ($tscore[0]['Score']>$tscore[1]['Score'] && $tscore[0]['Score']>0) {
				$scoretotal[0][0]++;
			}
			elseif ($tscore[1]['Score']>0) {
				$scoretotal[1][0]++;
			}
		}
		else
		{
			$scoretotal[0][$nombredemap]=$tscore[1]['Score'];
			$scoretotal[1][$nombredemap]=$tscore[0]['Score'];
			if ($tscore[0]['Score']>$tscore[1]['Score'] && $tscore[0]['Score']>0) {
				$scoretotal[1][0]++;
			}
			elseif ($tscore[1]['Score']>0) {
				$scoretotal[0][0]++;
			}
		}
		$teamrace->affichage2($aseco);
	  }
	}
	function joueurfinish2($aseco)
		{
			global $teamrace;
			global $nombredemap, $scoretotal, $nomdesteams, $nomrencontre, $nomimage, $affiche, $textcolor, $playerblue, $playerred;
			if ($affiche=='on') {
			if ($playerblue[0]==''){
				$aseco->client->query('GetPlayerList', 60, 0, 2);
				$response['playerlist'] = $aseco->client->getResponse();
				if (!empty($response['playerlist'])) {
					foreach ($response['playerlist'] as $player) {
					$loginjoueur=$player['Login'];
					$pid = $aseco->getPlayerId($loginjoueur);
					if ($player['TeamId']==0){
							$playerblue[$nombredemap].=$pid.',';
						}
						elseif ($player['TeamId']==1) {
							$playerred[$nombredemap].=$pid.',';
						}
					}
				}
				
				$playerblue[0]='on';
			}	
			$teamrace->affichage2($aseco);
		}
	}
}
?>
